## org.apache.axis.ime.internal.transports.http
Class HttpMessageExchange

    java.lang.Object
      |
      +--org.apache.axis.ime.internal.MessageExchangeProvider
            |
            +--org.apache.axis.ime.internal.util.handler.HandlerMessageExchange
                  |
                  +--org.apache.axis.ime.internal.transports.http.HttpMessageExchange

All Implemented Interfaces:
  MessageExchangeFactory

public class HttpMessageExchange
extends HandlerMessageExchange

Wraps the existing synchronous HttpSender handler with an asynchronous MessageExchangeProvider.

Author:
  James M Snell (jasnell@us.ibm.com)

Nested Class Summary

Nested classes inherited from class org.apache.axis.ime.internal.util.handler.HandlerMessageExchange
`HandlerMessageExchange.Listener`

Nested classes inherited from class org.apache.axis.ime.internal.MessageExchangeProvider
`MessageExchangeProvider.MessageReceiver, MessageExchangeProvider.MessageSender`

Field Summary

Fields inherited from class org.apache.axis.ime.internal.util.handler.HandlerMessageExchange
`log`

Fields inherited from class org.apache.axis.ime.internal.MessageExchangeProvider
`DEFAULT_THREAD_COUNT, initialized, RECEIVE, RECEIVE_REQUESTS, receiveHandler, SELECT_TIMEOUT, SEND, sendHandler, WORKERS`

Constructor Summary
`HttpMessageExchange()`

Methods inherited from class org.apache.axis.ime.internal.util.handler.HandlerMessageExchange
`clearOptions, getMessageExchangeEventListener, getOption, getOption, getOptions, getReceivedMessageDispatchPolicy, getReceiveHandler, getSendHandler, setOption, setOptions`

Methods inherited from class org.apache.axis.ime.internal.MessageExchangeProvider
`awaitShutdown, awaitShutdown, cleanup, createMessageExchange, createMessageExchange, init, init, processReceive, processSend, setReceiveHandler, setSendHandler, shutdown, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpMessageExchange

    public HttpMessageExchange()

Copyright © 2003 Apache Web Services Project. All Rights Reserved.